1. 腾讯云 VOD
梧柏API使用文档
WHBAI · 腾讯云 VOD
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • 腾讯云 VOD
    • AIGC 生图
      POST
    • AIGC 生视频
      POST
    • 查询任务
      GET
    • 模板特效
      POST
  • 数据模型
    • TencentVodSampleRequest
    • PostTencentVodV1AigcVideoRequest
    • PostTencentVodV1TemplateEffectRequest
    • TencentVodSampleResponse
    • NewApiError
  1. 腾讯云 VOD

模板特效

POST
/tencent-vod/v1/template-effect
模板特效生成。
官方文档:https://cloud.tencent.com/document/product/266/126240

网站中的模型与调用示例#

特效模板创建任务#

官方文档:https://cloud.tencent.com/document/product/266/126240

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "ext_info": {
      "properties": {
        "AdditionalParameters": {
          "properties": {
            "template": {
              "description": "场景模版参数\n不同的场景模板,对应的调用参数不同,我们提供两种查看方式:\n●官方示例中心:https://platform.vidu.cn/docs/templates \n●在线文档文档(支持按上线时间查询):https://shengshu.feishu.cn/wiki/L2Dbwi7QeilCAgkdJKjcrj2Lnrg?from=from_copylink \n\n注意:特效模板暂时只支持视频类型生成的模板",
              "type": "string",
              "x-i18n": {
                "en-US": {
                  "description": "Scene template parameters\nDifferent scene templates have different calling parameters. We provide two viewing methods:\n●Official sample center: https://platform.vidu.cn/docs/templates\n●Online documentation (supports query by online time): https://shengshu.feishu.cn/wiki/L2Dbwi7QeilCAgkdJKjcrj2Lnrg?from=from_copylink\n\nNote: Special effects templates currently only support templates generated by video type."
                }
              }
            }
          },
          "required": [
            "template"
          ],
          "type": "object"
        }
      },
      "required": [
        "AdditionalParameters"
      ],
      "type": "object"
    },
    "file_infos": {
      "description": "最多包含三张素材资源图片的列表,用于描述模型在生成视频时要使用的资源图片。\n注意:\n\n1.\n图片大小不超过10M。\n\n2.\n支持的图片格式:jpeg、png。",
      "properties": {
        "category": {
          "description": "文件分类。取值为:\nImage: 图片;\nVideo: 视频。\n示例值:Image",
          "type": "string",
          "x-i18n": {
            "en-US": {
              "description": "File classification. The values are:\nImage: picture;\nVideo: video.\nExample value: Image"
            }
          }
        },
        "file_id": {
          "description": "图片文件的媒体文件 ID,即该文件在云点播上的全局唯一标识符,在上传成功后由云点播后台分配。可以在 视频上传完成事件通知 或 云点播控制台 获取该字段。当 Type 取值为 File 时,本参数有效。\n说明:\n\n1.\n推荐使用小于7M的图片;\n\n2.\n图片格式的取值为:jpeg,jpg, png, webp。\n示例值:3704211***509819",
          "type": "string",
          "x-i18n": {
            "en-US": {
              "description": "The media file ID of the image file, which is the globally unique identifier of the file on the cloud on demand, is assigned by the cloud on demand background after the upload is successful. This field can be obtained in the video upload completion event notification or cloud on-demand console. This parameter is valid when the value of Type is File.\nDescription:\n\n1.\nIt is recommended to use pictures smaller than 7M;\n\n2.\nThe value of the image format is: jpeg, jpg, png, webp.\nExample value: 3704211***509819"
            }
          }
        },
        "type": {
          "description": "输入的视频文件类型。取值有:\nFile:点播媒体文件;\nUrl:可访问的 URL;\n\n示例值:File",
          "type": "string",
          "x-i18n": {
            "en-US": {
              "description": "Input video file type. The values are:\nFile: on-demand media files;\nUrl: accessible URL;\n\nExample value: File"
            }
          }
        },
        "url": {
          "description": "可访问的文件 URL。当 Type 取值为 Url 时,本参数有效。\n说明:\n\n1.\n推荐使用小于7M的图片;\n\n2.\n图片格式的取值为:jpeg,jpg, png, webp。\n示例值:https://test.com/1.png",
          "type": "string",
          "x-i18n": {
            "en-US": {
              "description": "Accessible file URL. This parameter is valid when the value of Type is Url.\nDescription:\n\n1.\nIt is recommended to use pictures smaller than 7M;\n\n2.\nThe value of the image format is: jpeg, jpg, png, webp.\nExample value: https://test.com/1.png"
            }
          }
        }
      },
      "type": "object",
      "x-i18n": {
        "en-US": {
          "description": "A list of up to three asset images describing the asset images to be used by the model when generating the video.\nNote:\n\n1.\nThe image size does not exceed 10M.\n\n2.\nSupported image formats: jpeg, png."
        }
      }
    },
    "prompt": {
      "description": "提示词",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Prompt"
        }
      }
    },
    "scene_type": {
      "description": "取值 template_effect",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Value template_effect"
        }
      }
    }
  },
  "required": [
    "scene_type",
    "ext_info"
  ]
}

请求示例 · 示例 1#

{
  "ext_info": {
    "AdditionalParameters": {
      "template": "morphlab"
    }
  },
  "file_infos": [
    {
      "category": "Image",
      "type": "Url",
      "url": "https://image01.vidu.zone/vidu/example/20241206-175531.jpeg"
    }
  ],
  "prompt": "视频内容\\n画面开始主体突然爆炸,细碎的颗粒爆炸开来\\n# 要求\\n1.根据用户上传图片确定主体数量,每个主体都要爆炸\\n2.Motion Level 设定为:Middle\\n3.以>我的视频内容为第一要素,背景的描述统一、合理,不要描述两次.",
  "scene_type": "template_effect"
}

响应示例 · 示例 1#

{
  "Response": {
    "RequestId": "f50d7667-72d8-46bb-a7e3-0613588971b6",
    "TaskId": "251007502-AigcImage***2782aff1e896673f1ft"
  }
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Body 参数application/json必填

示例
{
    "scene_type": "template_effect",
    "prompt": "视频内容\\n画面开始主体突然爆炸,细碎的颗粒爆炸开来\\n# 要求\\n1.根据用户上传图片确定主体数量,每个主体都要爆炸\\n2.Motion Level 设定为:Middle\\n3.以>我的视频内容为第一要素,背景的描述统一、合理,不要描述两次.",
    "file_infos": [
        {
            "type": "Url",
            "category": "Image",
            "url": "https://image01.vidu.zone/vidu/example/20241206-175531.jpeg"
        }
    ],
    "ext_info": {
        "AdditionalParameters": {
            "template": "morphlab"
        }
    }
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
cURL
curl --location '/tencent-vod/v1/template-effect' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "scene_type": "template_effect",
    "prompt": "视频内容\\n画面开始主体突然爆炸,细碎的颗粒爆炸开来\\n# 要求\\n1.根据用户上传图片确定主体数量,每个主体都要爆炸\\n2.Motion Level 设定为:Middle\\n3.以>我的视频内容为第一要素,背景的描述统一、合理,不要描述两次.",
    "file_infos": [
        {
            "type": "Url",
            "category": "Image",
            "url": "https://image01.vidu.zone/vidu/example/20241206-175531.jpeg"
        }
    ],
    "ext_info": {
        "AdditionalParameters": {
            "template": "morphlab"
        }
    }
}'

返回响应

🟢200成功
application/json
成功
Bodyapplication/json

示例
{
    "Response": {
        "TaskId": "task-example",
        "RequestId": "req-example"
    }
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:21
上一页
查询任务
下一页
TencentVodSampleRequest
Built with